# ACH SpeakUp Multimeter Demo #
Version 1 - October 11, 2014  
by Andrew Hazelden  

This example shows how to use the SpeakUp Click board with a multimeter acting as a display to show the results of the voice commands. 

There is an accompanying 10.5 minute long step-by-step video tutorial that shows how to create this project from the beginning: [SpeakUp Multimeter Video Tutorial](https://www.youtube.com/watch?v=kJANxeSETPI)


## SpeakUp Board Image ##

![SpeakUp Click Board](screenshots\1-speakup-closeup.jpg)

This is the SpeakUp Click Board with the mikroBus connector and JTAG connector soldered in place.


## Installation ##

**Step 1.** Install the [SpeakUp Utility](http://www.mikroe.com/click/speakup/) that is found partway down on the SpeakUp product page.

![Download the Speakup Utility](screenshots\speakup-utility.png)

**Step 2.** Open the **Multimeter.spk** example file in the SpeakUp Utility.
 
![SpeakUp Multimeter Project](screenshots\speakup-multimeter-project.png)

**Step 3.** Plug you SpeakUp Click board into your desktop PC's USB port.

**Step 4.** Switch to each tab in the SpeakUp Utility. Click the edit icon and re-record the voice commands for "Port On", "Port Off", and "Half Duty" using a relaxed tone of speaking.

![Record the Voice Commands](screenshots\new-voice-command.png)

**Step 5.** Save the SpeakUp project again, and upload your modified voice commands to the board.

![Upload the Project](screenshots\upload-speakup-settings.png)

**Step 6.** Connect your digital multimeter probes to the SpeakUp click board using a set of test clips. The multimeter should be used in DC Volts mode. The red lead on your meter connects to the IO 1 pin, and the black lead on your meter connects to the GND ground pin.
 
![Connecting the test leads](screenshots\2-speakup-with-probes.jpg)

**Step 7.** Power the SpeakUp click using an external USB wall power supply and let it check the room for ambient noise for the first 10 seconds.

**Step 8.** You are now ready to try out the voice recognition module.

![Port On](screenshots\3-speakup-port-on.jpg)
When you say "Port On" the multimeter should read 3 volts. This sets the IO 1 pin to on.

![Port Off](screenshots\4-speakup-port-off.jpg)
When you say "Port Off" the multimeter should read 0 volts. This sets the IO 1 pin to off.

![Half-Duty](screenshots\5-speakup-half-duty.jpg)
When you say "Half Duty" the multimeter should read approximately 1.5 volts. This mode is created with the SpeakUp Utility's **Pulse** action set to a 50% duty ratio.


## Development Tools Used ##

SpeakUp Click Board  
[http://www.mikroe.com/click/speakup/](http://www.mikroe.com/click/speakup/)

Digital Multimeter

Test Clips to connect the multimeter probes to the SpeakUp click board.

------------------------------------------------------

Demo Created by Andrew Hazelden. (c) copyright 2014.  
Email: [andrew@andrewhazelden.com](mailto:andrew@andrewhazelden.com)  
Blog:  [http://www.andrewhazelden.com](http://www.andrewhazelden.com)  

